/*
 *  rotation d'un quart de tour avec la libimage 
 */

#include <stdio.h>
#include <stdlib.h>

#include <tthimage.h>

int quart_de_tour(Image_Desc *src, char *fnameout, int flag)
{
Image_Desc	*dst;
int		x, y, r, g, b;
int		foo, yy;

fprintf(stderr, "%s src %p -> %dx%d\n", __func__,
		src, src->width, src->height);
dst = Image_alloc(src->height, src->width, 3);

for (y=0; y<src->height; y++)
	{
	yy = (src->height - y) - 1;
	for (x=0; x<src->width; x++)
		{
		Image_getRGB(src, x, y, &r, &g, &b);
		Image_plotRGB(dst, yy, x, r, g, b);
		}
	}

foo = Image_TGA_save(fnameout, dst, 0);
// fprintf(stderr, "save %s -> %d\n", fnameout, foo);

return 0;
}

int main(int argc, char *argv[])
{
Image_Desc	*src;
int		foo;

if (argc != 3)
	{
	fprintf(stderr, "\nSYNTAX ERROR : %s source.tga destination.tga\n\n",
					 argv[0]);
	exit(1);
	}

src = Image_TGA_alloc_load(argv[1]);
if (NULL == src)
	{
	fprintf(stderr, "LOAD ERROR ON %s\n", argv[1]);
	exit(1);
	}
foo = quart_de_tour(src, argv[2], 0);
// Image_print_error("Quart De Tour", foo);

return 0;
}


